[Overview][Classes][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.RemovePointer

Remove a pointer item from the list.

## Declaration

Source position: avl_tree.pp line 99

`public procedure TAVLTree.RemovePointer(`
`Data: Pointer`
`);`

## Arguments

`Data` |  | Pointer to remove from the tree

## Description

Remove uses FindPointer to find the node associated with the pointer Data and, if found, deletes it from the tree. Only the first occurrence of Data will be removed.

## See also

TAVLTree.Remove |  | Remove a data item from the list.
TAVLTree.Delete |  | Delete a node from the tree
TAVLTree.Clear |  | Clears the tree

The latest version of this document can be found at lazarus-ccr.sourceforge.net.